<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJSデモ</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<link
rel="stylesheet"
href="https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css"
/>
<script src="/activereportsjs/demos/arjs/dist/ar-js-core.js"></script>
<script src="/activereportsjs/demos/arjs/dist/ar-js-viewer.js"></script>
<script src="/activereportsjs/demos/arjs/dist/ar-js-pdf.js"></script>
<script src="/activereportsjs/demos/arjs/dist/ar-js-xlsx.js"></script>
<script src="/activereportsjs/demos/arjs/dist/ar-js-html.js"></script>
<script src="/activereportsjs/demos/arjs/dist/ar-js-tabular-data.js"></script>
<script src="/activereportsjs/demos/arjs-localization/dist/ar-js-locales.js"></script>
<script src="$DEMOROOT$/lib/purejs/license.js"></script>
<link
rel="stylesheet"
type="text/css"
href="/activereportsjs/demos/arjs/styles/ar-js-ui.css"
/>
<link
rel="stylesheet"
type="text/css"
href="/activereportsjs/demos/arjs/styles/ar-js-viewer.css"
/>
<style>
#viewer-host {
margin: 0 auto;
width: 100%;
height: 500px;
}
</style>
</head>
<body>
<div class="container-fluid">
<div class="form-group mb-3 mt-3">
<div>
<label>使用するエクスポート</label>
</div>
<div class="form-check form-check-inline">
<input
class="form-check-input"
type="checkbox"
id="checkboxPdf"
value="pdf"
checked
onchange="setAvailableExports()"
/>
<label class="form-check-label" for="inlineCheckbox1">PDF</label>
</div>
<div class="form-check form-check-inline">
<input
class="form-check-input"
type="checkbox"
id="checkboxHtml"
value="html"
checked
onchange="setAvailableExports()"
/>
<label class="form-check-label" for="inlineCheckbox2">HTML</label>
</div>
<div class="form-check form-check-inline">
<input
class="form-check-input"
type="checkbox"
id="checkboxXLSX"
value="xlsx"
checked
onchange="setAvailableExports()"
/>
<label class="form-check-label" for="inlineCheckbox3">Excel</label>
</div>
<div class="form-check form-check-inline">
<input
class="form-check-input"
type="checkbox"
id="checkboxCSV"
value="tabular-data"
checked
onchange="setAvailableExports()"
/>
<label class="form-check-label" for="inlineCheckbox4">CSV</label>
</div>
</div>
</div>
<div id="viewer-host"></div>
<script>
const exportsSettings = {
pdf: {
title: "ActiveReportsJS デモ",
author: "MESCIUS inc.",
subject: "Web帳票",
keywords: "帳票, サンプル",
userPassword: "pwd",
ownerPassword: "ownerPwd",
printing: "none",
copying: false,
modifying: false,
annotating: false,
contentAccessibility: false,
documentAssembly: false,
pdfVersion: "1.7",
autoPrint: true,
filename: "ActiveReportsJS-Sample-Pdf",
},
xlsx: {
creator: "MESCIUS inc.",
size: "A4",
orientation: "Landscape",
sheetName: "帳票",
password: "pwd",
filename: "ActiveReportsJS-Sample-Xlsx",
},
html: {
title: "ActiveReportsJS デモ",
filename: "ActiveReportsJS-Sample-Html",
autoPrint: true,
outputType: "html",
},
"tabular-data": {
filename: "ActiveReportsJS-Sample-Csv",
colSeparator: ",",
rowSeparator: "\\n",
quotationSymbol: "\"",
tableSeparator: "===============",
outputType: "plain",
}
};
const viewer = new MESCIUS.ActiveReportsJS.ReportViewer.Viewer(
"#viewer-host",
{
ExportsSettings: exportsSettings,
language: "ja",
}
);
viewer.sidebarVisible = true;
viewer.open("Frontstore.rdlx-json");
const checkboxesIds = ["checkboxPdf", "checkboxHtml", "checkboxXLSX", "checkboxCSV"];
function setAvailableExports() {
const availableExports = [];
checkboxesIds.forEach(function (checkBoxId) {
const checkBox = document.getElementById(checkBoxId);
if (checkBox && checkBox.checked) {
availableExports.push(checkBox.value);
}
});
viewer.availableExports = availableExports;
}
setAvailableExports();
</script>
</body>
</html>

import React from "react";
import ReactDOM from "react-dom";
import { Viewer } from "@mescius/activereportsjs-react";
import "@mescius/activereportsjs/pdfexport";
import "@mescius/activereportsjs/htmlexport";
import "@mescius/activereportsjs/tabulardataexport";
import "@mescius/activereportsjs/xlsxexport";
import "@mescius/activereportsjs/xlsxadvexport";
import "@mescius/activereportsjs-i18n";
import { FontStore } from "@mescius/activereportsjs/core";
const exportsSettings = {
pdf: {
title: "ActiveReportsJS Sample",
author: "GrapeCity",
subject: "Web Reporting",
keywords: "reporting, sample",
userPassword: "pwd",
ownerPassword: "ownerPwd",
printing: "none",
copying: false,
modifying: false,
annotating: false,
contentAccessibility: false,
documentAssembly: false,
pdfVersion: "1.7",
autoPrint: true,
filename: "ActiveReportsJS-Sample.pdf",
},
html: {
title: "ActiveReportsJS Sample",
filename: "ActiveReportsJS-Sample.html",
autoPrint: true,
multiPage: true,
embedImages: "external",
outputType: "html",
},
};
// remove items from this array to hide unnecessary Exports Types
const availableExports = ["pdf", "html", "tabular-data"];
function App() {
return (
<div id="viewer-host">
<Viewer
theme="ActiveReports"
report={{
Uri: "/activereportsjs/demos/resource/reports/Frontstore.rdlx-json",
}}
exportsSettings={exportsSettings}
availableExports={availableExports}
/>
</div>
);
}
FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json");
ReactDOM.render(<App />, document.getElementById("root"));
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Viewer Export Settings Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<link
rel="stylesheet"
href="https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css"
/>
<link rel="stylesheet" href="index.css" />
<!-- SystemJS -->
<script src="./vendor/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import("./src/app");
</script>
</head>
<body style="margin: 0">
<div id="root"></div>
</body>
</html>
(function (global) {
System.config({
transpiler: "plugin-babel",
babelOptions: {
es2015: true,
react: true,
},
meta: {
"*.css": { loader: "css" },
},
paths: {
// paths serve as alias
"npm:": "node_modules/",
},
// map tells the System loader where to look for things
map: {
css: "npm:systemjs-plugin-css/css.js",
react: "npm:react/umd/react.production.min.js",
"react-dom": "npm:react-dom/umd/react-dom.production.min.js",
"@mescius/activereportsjs-react":
"npm:@mescius/activereportsjs-react/lib/index.js",
"@mescius/activereportsjs/reportviewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/pdfexport":
"npm:@mescius/activereportsjs/dist/ar-js-pdf.js",
"@mescius/activereportsjs/tabulardataexport":
"npm:@mescius/activereportsjs/dist/ar-js-tabular-data.js",
"@mescius/activereportsjs/htmlexport":
"npm:@mescius/activereportsjs/dist/ar-js-html.js",
"@mescius/activereportsjs/xlsxexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsx.js",
"@mescius/activereportsjs/xlsxadvexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsxAdv.js",
"@mescius/activereportsjs/viewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/reportdesigner":
"npm:@mescius/activereportsjs/dist/ar-js-designer.js",
"@mescius/activereportsjs/core":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/styles": "npm:@mescius/activereportsjs/styles",
"@mescius/activereportsjs-i18n":
"npm:@mescius/activereportsjs-i18n/dist/ar-js-locales.js",
"@mescius/ar-js-pagereport":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"plugin-babel": "npm:systemjs-plugin-babel/plugin-babel.js",
"systemjs-babel-build":
"npm:systemjs-plugin-babel/systemjs-babel-browser.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: "jsx",
},
node_modules: {
defaultExtension: "js",
},
},
});
})(this);

<template>
<div id="viewer-host">
<JSViewer
theme="ActiveReports"
:report="{
Uri: '/activereportsjs/demos/resource/reports/Frontstore.rdlx-json',
}"
:exportsSettings="exportsSettings"
:sidebarVisible="true"
:availableExports="availableExports"
></JSViewer>
</div>
</template>
<script>
import { ref } from "vue";
import { Viewer } from "@mescius/activereportsjs-vue";
import "@mescius/activereportsjs/pdfexport";
import "@mescius/activereportsjs/htmlexport";
import "@mescius/activereportsjs/tabulardataexport";
import "@mescius/activereportsjs/xlsxexport";
import "@mescius/activereportsjs/xlsxadvexport";
import "@mescius/activereportsjs-i18n";
import Core from "@mescius/activereportsjs/core";
Core.FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json");
export default {
components: {
JSViewer: Viewer,
},
setup() {
const availableExports = ref(["pdf", "html", "tabular-data"]);
const exportsSettings = ref({
pdf: {
title: "ActiveReportsJS Sample",
author: "GrapeCity",
subject: "Web Reporting",
keywords: "reporting, sample",
userPassword: "pwd",
ownerPassword: "ownerPwd",
printing: "none",
copying: false,
modifying: false,
annotating: false,
contentAccessibility: false,
documentAssembly: false,
pdfVersion: "1.7",
autoPrint: true,
filename: "ActiveReportsJS-Sample.pdf",
},
html: {
title: "ActiveReportsJS Sample",
filename: "ActiveReportsJS-Sample.html",
autoPrint: true,
multiPage: true,
embedImages: "external",
outputType: "html",
},
});
return {
availableExports,
exportsSettings,
};
},
};
</script>
<style>
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#viewer-host {
width: 100%;
height: 600px;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Viewer Export Settings Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<link
rel="stylesheet"
href="https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css"
/>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-core.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-viewer.js"></script>
<script>
System.import("./app.js");
</script>
</head>
<body style="margin: 0">
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: "systemjs-plugin-babel",
typescriptOptions: {
target: "es5",
module: "system",
},
baseURL: "./node_modules/",
packageConfigPaths: [
"./node_modules/*/package.json",
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json",
],
map: {
vue: "./node_modules/vue/dist/vue.esm-browser.js",
"systemjs-babel-build": "systemjs-plugin-babel/systemjs-babel-browser.js",
"@mescius/activereportsjs/pdfexport":
"@mescius/activereportsjs/dist/ar-js-pdf.js",
"@mescius/activereportsjs/tabulardataexport":
"@mescius/activereportsjs/dist/ar-js-tabular-data.js",
"@mescius/activereportsjs/htmlexport":
"@mescius/activereportsjs/dist/ar-js-html.js",
"@mescius/activereportsjs/xlsxexport":
"@mescius/activereportsjs/dist/ar-js-xlsx.js",
"@mescius/activereportsjs/xlsxadvexport":
"@mescius/activereportsjs/dist/ar-js-xlsxAdv.js",
"@mescius/activereportsjs-vue":
"@mescius/activereportsjs-vue/lib/index.js",
"@mescius/activereportsjs/reportviewer":
"./reportviewer.js",
"@mescius/activereportsjs/viewer":
"./reportviewer.js",
"@mescius/activereportsjs/reportdesigner":
"@mescius/activereportsjs/dist/ar-js-designer.js",
"@mescius/activereportsjs/core":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/styles": "@mescius/activereportsjs/styles",
"@mescius/activereportsjs-i18n":
"@mescius/activereportsjs-i18n/dist/ar-js-locales.js",
"@mescius/ar-js-pagereport":
"@mescius/activereportsjs/dist/ar-js-core.js",
},
meta: {
"*.css": { loader: "systemjs-plugin-css" },
"./src/*.vue": { loader: "../plugin-vue/index.js" },
"*.vue": { loader: "./plugin-vue/index.js" },
},
packages: {
"vue-demi": {
defaultExtension: "mjs",
main: "lib/index.mjs",
},
},
});
})(this);

import { Component, ViewChild } from "@angular/core";
import {
ViewerComponent,
AR_EXPORTS,
PdfExportService,
HtmlExportService,
TabularDataExportService,
XlsxExportService,
XlsxAdvExportService,
} from "@mescius/activereportsjs-angular";
import "@mescius/activereportsjs-i18n";
@Component({
selector: "app-root",
templateUrl: "src/app.component.html",
styleUrls: ["src/app.component.css"],
providers: [
{
provide: AR_EXPORTS,
useClass: PdfExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: HtmlExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: TabularDataExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: XlsxExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: XlsxAdvExportService,
multi: true,
},
],
})
export class AppComponent {
@ViewChild(ViewerComponent, { static: false }) reportViewer: ViewerComponent;
exportsSettings = {
pdf: {
title: "ActiveReportsJS Sample",
author: "GrapeCity",
subject: "Web Reporting",
keywords: "reporting, sample",
userPassword: "pwd",
ownerPassword: "ownerPwd",
printing: "none",
copying: false,
modifying: false,
annotating: false,
contentAccessibility: false,
documentAssembly: false,
pdfVersion: "1.7",
autoPrint: true,
filename: "ActiveReportsJS-Sample.pdf",
},
html: {
title: "ActiveReportsJS Sample",
filename: "ActiveReportsJS-Sample.html",
autoPrint: true,
multiPage: true,
embedImages: "external",
outputType: "html",
},
};
// remove items from this array to hide unnecessary Exports Types
availableExports = ["pdf", "html", "tabular-data"];
onViewerInit() {
this.reportViewer.open(
"/activereportsjs/demos/resource/reports/Frontstore.rdlx-json"
);
}
}
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#viewer-host {
width: 100%;
height: 600px;
}
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";
import { FormsModule } from "@angular/forms";
import { ReactiveFormsModule } from "@angular/forms";
import { AppComponent } from "./app.component";
import { ActiveReportsModule } from "@mescius/activereportsjs-angular";
@NgModule({
declarations: [AppComponent],
imports: [BrowserModule, ReactiveFormsModule, ActiveReportsModule, FormsModule],
providers: [],
bootstrap: [AppComponent],
})
export class AppModule {}
<div class="container-fluid">
<div id="viewer-host">
<gc-activereports-viewer
theme="ActiveReports"
(init)="onViewerInit()"
[exportsSettings]="exportsSettings"
[sidebarVisible]="true"
[availableExports]="availableExports"
>
</gc-activereports-viewer>
</div>
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: './node_modules/',
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'systemjs-plugin-css' }
},
packageConfigPaths: [
'/node_modules/*/package.json',
"/node_modules/@angular/*/package.json",
"/node_modules/@mescius/*/package.json"
],
map: {
'typescript': 'typescript/lib/typescript.js',
"rxjs": "rxjs/dist/bundles/rxjs.umd.js",
"rxjs/operators": "rxjs/dist/bundles/rxjs.umd.js",
"@angular/core/primitives/signals": "@angular/core/fesm2022/primitives/signals.mjs",
"@angular/common/http": "@angular/common/fesm2022/http.mjs",
"@mescius/activereportsjs/core":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs": "./activereports.js",
"@mescius/activereportsjs/reportdesigner":"./activereports.js",
"@mescius/ar-js-pagereport":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs-i18n":
"@mescius/activereportsjs-i18n/dist/ar-js-locales.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: 'ts'
},
"node_modules": {
defaultExtension: 'js'
},
"@angular/core": {
defaultExtension: 'mjs',
"main": "fesm2022/core.mjs"
},
"@angular/platform-browser": {
defaultExtension: 'mjs',
"main": "fesm2022/platform-browser.mjs"
},
"@angular/common": {
defaultExtension: 'mjs',
"main": "fesm2022/common.mjs"
},
"@angular/compiler": {
defaultExtension: 'mjs',
"main": "fesm2022/compiler.mjs"
},
"@angular/forms": {
defaultExtension: 'mjs',
"main": "fesm2022/forms.mjs"
},
"@angular/localize": {
defaultExtension: 'mjs',
"main": "fesm2022/localize.mjs"
},
"@angular/platform-browser-dynamic": {
defaultExtension: 'mjs',
"main": "fesm2022/platform-browser-dynamic.mjs"
},
"@mescius/activereportsjs-angular": {
defaultExtension: "mjs",
main: "fesm2022/grapecity-activereports-angular.mjs",
},
}
});
})(this);
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Viewer Export Settings Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<!-- Polyfills -->
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<script>
System.import("./src/app.main");
</script>
</head>
<body style="margin: 0">
<app-root></app-root>
</body>
</html>